Bug 652229 - Apache start, stop, restart, etc. operations do not pass "-d serverroot" or "-f config" command line options
Apache start, stop, restart, etc. operations do not pass "-d serverroot" or "...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.0.0
All All
high Severity high (vote)
: ---
: ---
Assigned To: Lukas Krejci
Corey Welton
:
Depends On:
Blocks: jon30-bugs
  Show dependency treegraph
 
Reported: 2010-11-11 07:32 EST by Lukas Krejci
Modified: 2011-05-23 21:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 617218
Environment:
Last Closed: 2011-05-23 21:11:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Krejci 2010-11-11 07:32:18 EST
This is a clone of bug 617218 to track its resolution in RHQ 4.
Comment 1 Lukas Krejci 2010-11-11 07:50:00 EST
commit 5ce1dc4c9b797094381e76f592372a073b74bba2
Author: Lukas Krejci <lkrejci@redhat.com>
Date:   Thu Jul 22 18:26:30 2010 +0200

    BZ 617218 - always passing in the -d <serverroot> -f <conf-file> as parameters to the apache control script so that a correct instance is acted upon.
Comment 2 Sunil Kondkar 2010-12-10 08:46:06 EST
Verified on rhq-server-4.0.0-SNAPSHOT Build #824

1) Default config is at /etc/httpd
2) Copied it to new location    /NotBackedUp/newapache/httpd.conf
3) In the new location, changed the ServerRoot in config file to point to yet
another location  --/NotBackedUp
4) In the new location, specified Listen:81 and "Include conf.d/*.conf"
5) Added a configuration file at the location defined as ServerRoot in conf
file (at /NotBackedup/conf.d/test.conf)
6) Added ServerName and ServerAdmin directives in /NotBackedup/conf.d/test.conf


Observed that the configuration specified in the yet-another-location is loaded
by the plugin.
The ServerAdmin and ServerName are displayed as defined in
/NotBackedup/conf.d/test.conf

Also did some operations like start, stop, restart, restart gracefully on
apache resource from UI. These operations are successful and executed using the
correct configuration file.
(/NotBackedUp/newapache/httpd.conf )
Comment 3 Corey Welton 2011-05-23 21:11:23 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 4 Corey Welton 2011-05-23 21:11:23 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.